import auth from './auth'
import modal from './modal'
import rule from './rule'
import plat from './plat'

import {getImages} from './images'
import {renderItem,isNull,copyProps,clearProps} from '@/utils/gdtq.js'
import env from '@/env.js'

export default {
  install(Vue) {
    // 认证对象
	for(let i in auth) {
		Vue.prototype[`$${i}`] = auth[i]
	}
	
	for(let i in env) {
		Vue.prototype[`$${i}`] = env[i]
	}
	
	for(let i in plat) {
		Vue.prototype[`${i}`] = plat[i]
	}
	
    // 模态框对象
    Vue.prototype.$modal = modal
	// 获取图片URL方法
    Vue.prototype.$getImages = getImages
    // 正则
    Vue.prototype.$rule = rule
	// 渲染值
    Vue.prototype.renderItem = renderItem
    Vue.prototype.isNull = isNull
    Vue.prototype.copyProps = copyProps
    Vue.prototype.clearProps = clearProps
  }
}
